---
title: mask-border-slice
slug: Web/CSS/mask-border-slice
tags:
  - CSS
  - CSS Masking
  - CSS Property
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>mask-border-slice</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property divides the image set by {{cssxref("mask-border-source")}} into regions. These regions are used to form the components of an element's <a href="/en-US/docs/Web/CSS/mask-border">mask border</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* All sides */
mask-border-slice: 30%;

/* vertical | horizontal */
mask-border-slice: 10% 30%;

/* top | horizontal | bottom */
mask-border-slice: 30 30% 45;

/* top | right | bottom | left */
mask-border-slice: 7 12 14 5;

/* Using the `fill` keyword */
mask-border-slice: 10% fill 7 12;

/* Global values */
mask-border-slice: inherit;
mask-border-slice: initial;
mask-border-slice: unset;
</pre>

<p>The <code>mask-border-slice</code> property may be specified using one to four <code>&lt;number-percentage&gt;</code> values to represent the position of each image slice. Negative values are invalid; values greater than their corresponding dimension are clamped to <code>100%</code>.</p>

<ul>
 <li>When <strong>one</strong> position is specified, it creates all four slices at the same distance from their respective sides.</li>
 <li>When <strong>two</strong> positions are specified, the first value creates slices measured from the <strong>top and bottom</strong>, the second creates slices measured from the <strong>left and right</strong>.</li>
 <li>When <strong>three</strong> positions are specified, the first value creates a slice measured from the <strong>top</strong>, the second creates slices measured from the <strong>left and right</strong>, the third creates a slice measured from the <strong>bottom</strong>.</li>
 <li>When <strong>four</strong> positions are specified, they create slices measured from the <strong>top</strong>, <strong>right</strong>, <strong>bottom</strong>, and <strong>left</strong> in that order (clockwise).</li>
</ul>

<p>The optional <code>fill</code> value, if used, can be placed anywhere in the declaration.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;number&gt;")}}</dt>
 <dd>Represents an edge offset in <em>pixels</em> for raster images and <em>coordinates</em> for vector images. For vector images, the number is relative to the element's size, not the size of the source image, so percentages are generally preferable in these cases.</dd>
 <dt>{{cssxref("&lt;percentage&gt;")}}</dt>
 <dd>Represents an edge offset as a percentage of the source image's size: the width of the image for horizontal offsets, the height for vertical offsets.</dd>
 <dt><code>fill</code></dt>
 <dd>Preserves the middle image region. Its width and height are sized to match the top and left image regions, respectively.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>The slicing process creates nine regions in total: four corners, four edges, and a middle region. Four slice lines, set a given distance from their respective sides, control the size of the regions.</p>

<p><a href="/files/3814/border-image-slice.png"><img alt="The nine regions defined by the border-image or border-image-slice properties" src="/files/3814/border-image-slice.png" style="margin: 1px; padding: 1em; width: 460px;"></a></p>

<p>The above diagram illustrates the location of each region.</p>

<ul>
 <li>Zones 1-4 are <a id="corner-regions">corner regions</a>. Each one is used a single time to form the corners of the final border image.</li>
 <li>Zones 5-8 are <a id="edge-regions">edge regions</a>. These are <a href="/en-US/docs/Web/CSS/mask-border-repeat">repeated, scaled, or otherwise modified</a> in the final border image to match the dimensions of the element.</li>
 <li>Zone 9 is the <a id="middle-region">middle region</a>. It is discarded by default, but is used like a background image if the keyword <code>fill</code> is set.</li>
</ul>

<p>The {{cssxref("mask-border-repeat")}}, {{cssxref("mask-border-width")}}, and {{cssxref("mask-border-outset")}} properties determine how these regions are used to form the final mask border.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>This property doesn't appear to be supported anywhere yet. When it eventually starts to be supported, it will serve to define the size of the slices taken from the source image, and used to create the border mask.</p>

<pre class="brush: css notranslate">mask-border-slice: 30 fill;</pre>

<p>Chromium-based browsers support an outdated version of this property — <code>mask-box-image-slice</code> — with a prefix:</p>

<pre class="brush: css notranslate">-webkit-mask-box-image-slice: 30 fill;</pre>

<div class="notecard note">
<p><strong>Note</strong>: The <code><a href="/en-US/docs/Web/CSS/mask-border">mask-border</a></code> page features a working example (using the out-of-date prefixed border mask properties supported in Chromium), so you can get an idea of the effect.</p>
</div>

<div class="notecard note">
<p><strong>Note</strong>: The fill keyword needs to be included if you want the element's content to be visible.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Masks", "#propdef-mask-border-slice", "mask-border-slice")}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Initial defintion</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.mask-border-slice")}}</p>

<h2 id="See_also">See also</h2>

<ul>
  <li>{{cssxref("mask-border")}}</li>
  <li>{{cssxref("mask-border-mode")}}</li>
  <li>{{cssxref("mask-border-outset")}}</li>
  <li>{{cssxref("mask-border-repeat")}}</li>
  <li>{{cssxref("mask-border-source")}}</li>
  <li>{{cssxref("mask-border-width")}}</li>
  <li><a href="/en-US/docs/Web/CSS/Shorthand_properties#Tricky_edge_cases">Illustrated description of the 1-to-4-value syntax</a></li>
</ul>
